<!--
    Document   : OptionFile.xsd
    Author     : 
    Description:
        Schema que describe la estructura de los ficheros .xml de adaptación
        NOTA IMPORTANTE: El fichero SourceValueImpl.java generado por el compilador de schemas
        de jaxb ha sido modificado sobreescribiéndole el método equals. Si vas a recompilar
        el schema para que la aplicación funcione correctamente debes volver a añadir el
        mencionado método. Si no lo haces la generación de los ficheros de adaptación no
        funcionará adecuadamente.
-->




<?xml version="1.0" encoding="iso-8859-1"?>
<xs:schema xmlns:idtv="http://idtv.det.uvigo.es" attributeFormDefault="unqualified"
  elementFormDefault="qualified" targetNamespace="http://idtv.det.uvigo.es"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="sourceValue">
    <xs:sequence>
      <xs:element name="source" type="xs:string"/>
      <xs:element name="value" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:element name="adaptation">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="adaptationParameters" maxOccurs="1" minOccurs="0">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="adaptationParameter" minOccurs="1" maxOccurs="unbounded"
                type="idtv:sourceValue"/>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="adaptationRules" minOccurs="1" maxOccurs="1">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="rule" minOccurs="1" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="ruleConditions" minOccurs="1" maxOccurs="1">
                      <xs:complexType>
                        <xs:sequence minOccurs="0">
                          <xs:element name="ruleCondition" minOccurs="1" maxOccurs="unbounded">
                            <xs:complexType>
                              <xs:sequence>
                                <xs:element name="adaptationParameter" type="idtv:sourceValue"
                                  minOccurs="1" maxOccurs="1"/>
                                <xs:element name="comparative" minOccurs="1" maxOccurs="1">
                                  <xs:complexType>
                                    <xs:simpleContent>
                                      <xs:extension base="xs:string">
                                        <xs:attribute name="operator" use="required">
                                          <xs:simpleType>
                                            <xs:restriction base="xs:string">
                                              <xs:enumeration value="equals"/>
                                              <xs:enumeration value="lessThan"/>
                                              <xs:enumeration value="lessEqualThan"/>
                                              <xs:enumeration value="moreThan"/>
                                              <xs:enumeration value="moreEqualThan"/>
                                            </xs:restriction>
                                          </xs:simpleType>
                                        </xs:attribute>
                                      </xs:extension>
                                    </xs:simpleContent>
                                  </xs:complexType>
                                </xs:element>
                              </xs:sequence>
                              <xs:attribute name="operator" use="optional" default="noOp">
                                <xs:simpleType>
                                  <xs:restriction base="xs:string">
                                    <xs:enumeration value="not"/>
                                    <xs:enumeration value="noOp"/>
                                  </xs:restriction>
                                </xs:simpleType>
                              </xs:attribute>
                            </xs:complexType>
                          </xs:element>
                        </xs:sequence>
                        <xs:attribute name="conditionCombination" use="optional" default="all">
                          <xs:simpleType>
                            <xs:restriction base="xs:string">
                              <xs:enumeration value="all"/>
                              <xs:enumeration value="any"/>
                            </xs:restriction>
                          </xs:simpleType>
                        </xs:attribute>
                        <xs:attribute name="default" type="xs:boolean" use="optional"
                          default="false"/>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ruleAction" minOccurs="1" maxOccurs="1">
                      <xs:complexType>
                        <xs:sequence>
                          <xs:element name="file" type="xs:anyURI" minOccurs="1" maxOccurs="1"/>
                        </xs:sequence>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>